<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security" lang="en">
    <head>
        <title>Register Page</title>
    </head>
    <body>
        <h1>Register Page</h1>
        <div>
            <form action="#" th:action="@{/register}" th:object="${userRegistrationDto}" method="post">
                <div>
                    <label>
                        Username:
                        <input name="username" type="text">
                    </label>
                </div>
                <div>
                    <label>
                        Email:
                        <input name="email" type="email">
                    </label>
                </div>
                <div>
                    <label>
                        Password:
                        <input name="password" type="password" id="password">
                    </label>
                </div>
                <div>
                    <label>
                        Confirm password:
                        <input name="confirmPassword" type="password" id="confirm">
                    </label>
                </div>
                <div>
                    <label>
                        Gender:
                        <input name="gender" type="radio" value="male"> Male
                        <input name="gender" type="radio" value="female"> Female
                    </label>
                </div>

                <div>
                    <input type="submit" value="Register" style="padding-left: 10px" id="registerButton" onclick=validatePasswords()>
                </div>
            </form>
        </div>
    </body>
</html>
